summaryrefslogtreecommitdiff
path: root/pcr/openrc-misc/fuse.init
diff options
context:
space:
mode:
Diffstat (limited to 'pcr/openrc-misc/fuse.init')
-rw-r--r--pcr/openrc-misc/fuse.init35
1 files changed, 35 insertions, 0 deletions
diff --git a/pcr/openrc-misc/fuse.init b/pcr/openrc-misc/fuse.init
new file mode 100644
index 000000000..30b512e8d
--- /dev/null
+++ b/pcr/openrc-misc/fuse.init
@@ -0,0 +1,35 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+MOUNTPOINT=/sys/fs/fuse/connections
+
+depend() {
+ need localmount
+}
+
+start() {
+
+ ebegin "Starting fuse"
+ if ! grep -qw fuse /proc/filesystems; then
+ modprobe fuse >/dev/null 2>&1 || eerror $? "Error loading fuse module"
+ fi
+ if grep -qw fusectl /proc/filesystems && \
+ ! grep -qw $MOUNTPOINT /proc/mounts; then
+ mount -t fusectl none $MOUNTPOINT >/dev/null 2>&1 || \
+ eerror $? "Error mounting control filesystem"
+ fi
+ eend ${?}
+
+}
+
+stop() {
+
+ ebegin "Stopping fuse"
+ if grep -qw $MOUNTPOINT /proc/mounts; then
+ umount $MOUNTPOINT >/dev/null 2>&1 || \
+ eerror $? "Error unmounting control filesystem"
+ fi
+ eend ${?}
+
+}